Show / Hide Table of Contents

# Struct InventoryContainer

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct InventoryContainer

### Fields

| Improve this Doc View Source

#### Items

##### Declaration

    public InventoryItem*Items

##### Field Value

Type | Description
--- | ---
InventoryItem* |

| Improve this Doc View Source

#### Loaded

##### Declaration

    public byte Loaded

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### Size

##### Declaration

    public uint Size

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Type

##### Declaration

    public InventoryType Type

##### Field Value

Type | Description
--- | ---
InventoryType |

### Methods

| Improve this Doc View Source

#### GetInventorySlot(Int32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 8B 5B 0C")]
    public InventoryItem*GetInventorySlot(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
InventoryItem* |